<?php
/*
Plugin Name: Builder Block - Events
Plugin URI: http://ithemes.com
Description: This Builder block adds events management to your site. 
Version: 1.1.8
Author: iThemes
Author URI: http://ithemes.com
*/

require_once( dirname( __FILE__ ) . '/lib/classes/load.php' );

if ( ! class_exists( 'BB_Events' ) ) {
	class BB_Events {
		
		function __construct() {
			if ( 'builder' != strtolower( get_template() ) ) {
				add_action( 'admin_notices', array( $this, 'invalid_theme_notice' ) );
				return;
			}
			
			load_plugin_textdomain( 'it-l10n-builder-block-events', false, dirname( plugin_basename( __FILE__ ) ) . '/lang' );
			
			add_action( 'it_libraries_loaded', array( $this, 'init' ) );
		}
		
		function invalid_theme_notice() {
			echo "<div class='error'><p>The Builder Block Events plugin requires that Builder or a Builder child theme is active in order for it to function.</p></div>";
		}
		
		function init() {
			
			// Post Type & Taxonomies
			require_once( dirname( __FILE__ ) . '/lib/post-types/events.php' );
			require_once( dirname( __FILE__ ) . '/lib/post-types/venues.php' );
			
			// Extras
			require_once( dirname( __FILE__ ) . '/lib/extras/eventbrite.php' );
			require_once( dirname( __FILE__ ) . '/lib/extras/filters.php' );
			require_once( dirname( __FILE__ ) . '/lib/extras/images.php' );
			if ( get_option('permalink_structure') != '' ) {
				require_once( dirname( __FILE__ ) . '/lib/extras/menus.php' );
			}
			
			// Templates
			require_once( dirname( __FILE__ ) . '/templates/init.php' );
			
			if ( is_admin() ) {
				// Editor for the Events post type.
				require_once( dirname( __FILE__ ) . '/lib/editor/events/editor.php' );
				// Editor for the venues post type.
				require_once( dirname( __FILE__ ) . '/lib/editor/venues/editor.php' );
			}
			
			// The data handler for the settings pages.
			require_once( dirname( __FILE__ ) . '/lib/editor/events/data-handler.php' );
			require_once( dirname( __FILE__ ) . '/lib/editor/venues/data-handler.php' );
			
		}
	}
	
	new BB_Events();
}
