<?php
/**
 *	This is the template for displaying the archive of events.
 *
 *	@package		Builder Block Events
 *	@subpackage		Templates
 *	@author			Justin Kopepasah
 *	@since			1.0.0
 *
 *	DO NOT EDIT THIS TEMPLATE.
 *
 *	If you wish to use a custom archive template, copy this template over
 *	to your theme and rename the template to archive-it_bb_event.php.
*/

// We need this to change the size of the auto generated excerpt.
function it_bb_event_archive_excerpt_more( $more ) {
	global $post;
	return '...';
}

function render_content() {
	global $post, $wp_query;
	
	$settings = apply_filters( 'it_bb_event_load_data', array() );
	
	if ( $settings['it_bb_event_default_view'] == 'calendar_view' ) {
		$args = array_merge( $wp_query->query, array( 'posts_per_page' => -1 ) );
		
		query_posts( $args );
	}
	
	?>
		<?php if ( have_posts() ) : ?>
			<div class="loop">
				<div class="alignright switch-btns">
					<a class="btn btn-content <?php if ( $settings['it_bb_event_default_view'] == 'list_view' ) { echo 'active'; } else { echo 'inactive'; } ?>" title="List View"><?php _e( 'List', 'it-l10n-builder-block-events' ); ?></a>
					<a class="btn btn-calendar <?php if ( $settings['it_bb_event_default_view'] == 'calendar_view' ) { echo 'active'; } else { echo 'inactive'; } ?>" title="Calendar View"><?php _e( 'Calendar', 'it-l10n-builder-block-events' ); ?></a>
				</div>
				
				<div class="loop-content <?php if ( $settings['it_bb_event_default_view'] == 'list_view' ) { echo 'active'; } else { echo 'inactive'; } ?>">
					<?php while ( have_posts() ) : ?>
						<?php the_post(); ?>
						<?php $post_options = apply_filters( "it_bb_event_get_post_meta_values", array() ); ?>
						<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
							<div class="entry-header clearfix">
								<h3 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
								<?php if ( ! empty( $post_options[ 'event_start_date'] ) ) : ?>
									<div class="entry-meta">
										<span><?php _e( 'Date:', 'it-l10n-builder-block-events' ); ?> <?php echo mysql2date( get_option( 'date_format' ), $post_options[ 'event_start_date' ] ); ?> <?php _e( 'to', 'it-l10n-builder-block-events' ); ?> <?php echo mysql2date( get_option( 'date_format' ), $post_options[ 'event_end_date' ] ); ?></span>
									</div>
								<?php endif; ?>
							</div>
							<div class="entry-content clearfix">
								<?php add_filter( 'excerpt_more', 'it_bb_event_archive_excerpt_more' ); ?>
								<?php the_excerpt(); ?>
								<p><a href="<?php echo get_permalink( $post->ID ); ?>" class="more-link btn"><?php _e( 'View ' . $settings[ get_post_type( $post->ID ) . '_name'] . ' &rarr;', 'it-l10n-builder-block-events' ); ?></a></p>
								<?php remove_filter( 'excerpt_more', 'it_bb_event_archive_excerpt_more' ); ?>
							</div>
						</div>
					<?php endwhile; ?>
				</div>
				
				<div class="loop-calendar <?php if ( $settings['it_bb_event_default_view'] == 'calendar_view' ) { echo 'active'; } else { echo 'inactive'; } ?>">
					<script type='text/javascript'>
						jQuery(document).ready(function() {
							var date = new Date();
							var d = date.getDate();
							var m = date.getMonth();
							var y = date.getFullYear();
							
							jQuery('#calendar').fullCalendar({
								editable: false,
								isRTL:    <?php echo ( is_rtl() ? 'true' : 'false' ); ?>,
								weekMode: 'liquid',
								events:   {
									url:   '<?php echo admin_url( 'admin-ajax.php', 'relative' ); ?>',
									type:  'GET',
									data:  {
										action: 'it_bb_event_load_calendar_events'
									}
								}
							});
						});
					</script>
					<div id="calendar" class=""></div>
				</div>
				
				<?php if ( $settings['it_bb_event_default_view'] == 'list_view' ) : ?>
					<div class="loop-footer <?php if ( $settings['it_bb_event_default_view'] == 'list_view' ) { echo 'active'; } else { echo 'inactive'; } ?>">
						<div class="loop-utility clearfix">
							<div class="alignleft"><?php previous_posts_link( __( '&laquo; Previous Page', 'it-l10n-builder-block-events' ) ); ?></div>
							<div class="alignright"><?php next_posts_link( __( 'Next Page &raquo;', 'it-l10n-builder-block-events' ) ); ?></div>
						</div>
					</div>
				<?php endif; ?>
			</div>
		<?php else : // do not delete ?>
			<?php do_action( 'builder_template_show_not_found' ); ?>
		<?php endif; // do not delete ?>
	<?php
}

add_action( 'builder_layout_engine_render_content', 'render_content' );
do_action( 'builder_layout_engine_render', basename( __FILE__ ) );
